device_type: B2260

job_name: sw_decode
timeouts:
  job:
    minutes: 60
  action:
    minutes: 60
  connection:
    minutes: 4
priority: medium
visibility: public

actions:

    - deploy:
        timeout:
          minutes: 10
        to: tftp
        dtb:
          url: file:///users/matb_data/lava_soft/SW14_tag_opensdk-image-weston-2.1.13_RC2_SW_decode_extra_b2260/dtb
        kernel:
          url: file:///users/matb_data/lava_soft/SW14_tag_opensdk-image-weston-2.1.13_RC2_SW_decode_extra_b2260/uImage
        nfsrootfs:
          url: file:///users/matb_data/lava_soft/SW14_tag_opensdk-image-weston-2.1.13_RC2_SW_decode_extra_b2260/rootfs.tar.xz
          compression: xz
        os: oe

    - boot:
        method: u-boot
        type: bootm

        failure_retry: 2
        commands: nfs
        prompts:
          - 'root@'
        timeout:
          minutes: 3

    - test:
        timeout:
          minutes: 10
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_14.yaml
          name: TC_AVP_LS_LR_1_1_14

    - test:
        timeout:
          minutes: 4
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_15.yaml
          name: TC_AVP_LS_LR_1_1_15

    - test:
        timeout:
          minutes: 4
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_17.yaml
          name: TC_AVP_LS_LR_1_1_17

    - test:
        timeout:
          minutes: 5
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_24.yaml
          name: TC_AVP_LS_LR_1_1_24

    - test:
        timeout:
          minutes: 9
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_30.yaml
          name: TC_AVP_LS_LR_1_1_30

    - test:
        timeout:
          minutes: 2
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_33.yaml
          name: TC_AVP_LS_LR_1_1_33

    - test:
        timeout:
          minutes: 2
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/local_decode/audio/TC_AVP_LS_LR_1_1_73.yaml
          name: TC_AVP_LS_LR_1_1_73

    - test:
        timeout:
          minutes: 2
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/local_decode/audio/TC_AVP_LS_LR_1_1_75.yaml
          name: TC_AVP_LS_LR_1_1_75

    - test:
        timeout:
          minutes: 2
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/local_decode/H264/TC_LAVP_LR_4_0_2.yaml
          name: TC_LAVP_LR_4_0_2

    - test:
        timeout:
          minutes: 2
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/local_decode/H264/TC_LAVP_LR_4_1_2.yaml
          name: TC_LAVP_LR_4_1_2

    - test:
        timeout:
          minutes: 2
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/local_decode/H264/TC_LAVP_LR_4_2_2.yaml
          name: TC_LAVP_LR_4_2_2

    - test:
        timeout:
          minutes: 2
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/streaming/TC_AVS_BA_LR_1_0_2.yaml
          name: TC_AVS_BA_LR_1_0_2

    - test:
        timeout:
          minutes: 1
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/streaming/TC_AVS_BA_LR_1_0_5.yaml
          name: TC_AVS_BA_LR_1_0_5

    - test:
        timeout:
          minutes: 2
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/streaming/TC_AVS_BA_LR_2_0_1.yaml
          name: TC_AVS_BA_LR_2_0_1

    - test:
        timeout:
          minutes: 2
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/streaming/TC_AVS_BA_LR_2_0_2.yaml
          name: TC_AVS_BA_LR_2_0_2

    - test:
        timeout:
          minutes: 2
        definitions:
        - from: git
          repository:  /local/lava/dispatcher/lava-tests-multimedia
          path: lava/streaming/TC_AVS_BA_LR_2_0_3.yaml
          name: TC_AVS_BA_LR_2_0_3

